## apertium-swe-nor 0.3.1

=== dev/cross/Makefile ===
# Assumes full SVN apertium checkout available here:
SVNROOT=../../../..
# also, apertium-dixtools should be installed

all: cross.dix

cross.dix: cross-nno.dix cross-nob.dix cross-nor.dix
	cat $^ | rev|sort|rev > $@

cross-%.dix: cross-% exp-to-dix.awk
	awk -v vr="$*" -f exp-to-dix.awk $< > $@

cross-nno: nno.13 nob.13
	LC_ALL=C comm -23 $^ > $@
cross-nob: nno.13 nob.13
	LC_ALL=C comm -13 $^ > $@
cross-nor: nno.13 nob.13
	LC_ALL=C comm -12 $^ > $@

%.13: swe-nor.exp %/dix/apertium-swe-nor.swe-nor-crossed.exp
	LC_ALL=C comm -13 $^ | LC_ALL=C sort -u > $@

%.dix:: $(SVNROOT)/trunk/apertium-%
	cp $</apertium-$*.$*.dix $@

%.dix:: $(SVNROOT)/languages/apertium-%
	cp $</apertium-$*.$*.dix $@

%.dix:: $(SVNROOT)/nursery/apertium-%
	cp $</apertium-$*.$*.dix $@

%.exp: %.dix
	lt-expand $< $@.tmp
	LC_ALL=C sort -u $@.tmp > $@

%/dix/apertium-swe-nor.swe-nor-crossed.dix: %/swe-dan.dix %/dan-nor.dix %.dix swe.dix cross-model.xml
	(cd $*; apertium-dixtools cross-param ../swe.dix -r swe-dan.dix -n dan-nor.dix ../$*.dix ../cross-model.xml )


nob/%.dix: %.dix ./preproc.sh
	test -d nob || mkdir nob
	grep -v "vr=\"nno\"" $< | ./preproc.sh > $@.tmp
	mv $@.tmp $@

nno/%.dix: %.dix ./preproc.sh
	test -d nno || mkdir nno
	grep -v "vr=\"nob\"" $< | ./preproc.sh > $@.tmp
	mv $@.tmp $@

clean:
	rm -rf nno nob dan-nor.dix swe-dan.dix nno.dix nob.dix swe.dix swe-nor.exp nno.13 nob.13 cross-nno cross-nob cross-nor

## apertium-swe-nor 0.2.0~r69544

=== debian/changelog ===
apertium-swe-nor (0.2.0~r69544-2) unstable; urgency=medium

  * debian/rules:
    + Disable failing tests to fix FTBFS (Closes: #895506)
  * debian/control:
    + Updated Standards-Version to 4.1.4
    + Updated Vcs-* URLs.
  * Update debian/watch file.

 -- Kartik Mistry <kartik@debian.org>  Thu, 03 May 2018 11:33:48 +0530

apertium-swe-nor (0.2.0~r69544-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Initial release (Closes: #826706)

 -- Kartik Mistry <kartik@debian.org>  Wed, 08 Jun 2016 17:27:48 +0530

=== debian/control ===
Source: apertium-swe-nor
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Tino Didriksen <tino@didriksen.cc>,
           Kartik Mistry <kartik@debian.org>
Build-Depends: apertium-dev (>= 3.4.2~r68466),
               apertium-lex-tools,
               apertium-nno (>= 0.9.0~r69513),
               apertium-nob (>= 0.9.0~r69513),
               apertium-swe (>= 0.7.0~r69513),
               autotools-dev,
               cg3,
               debhelper (>= 9),
               dh-autoreconf,
               gawk,
               pkg-config (>= 0.21)
Standards-Version: 4.1.4
Homepage: https://apertium.org/
Vcs-Git: https://salsa.debian.org/science-team/apertium-swe-nor.git
Vcs-Browser: https://salsa.debian.org/science-team/apertium-swe-nor

Package: apertium-swe-nor
Architecture: all
Depends: apertium (>= 3.4.2~r68466),
         apertium-lex-tools,
         cg3,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: apertium-nor-swe
Conflicts: apertium-nor-swe
Description: Apertium translation data for the Swedish-Norwegian pair
 Data package providing Apertium language resources for translating
 between the Swedish and Norwegian languages.

=== debian/watch ===
version=3
http://sf.net/apertium/apertium-swe-nor-(\d\S+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## apertium-swe-nor 0.3.1

=== debian/changelog ===
apertium-swe-nor (0.3.1-1) unstable; urgency=low

  * New upstream release
  * Bundles apertium-swe 0.8.1, apertium-nno 1.1.0, and apertium-nob 1.1.0

 -- Tino Didriksen <tino@didriksen.cc>  Tue, 03 Dec 2019 09:39:19 +0100

apertium-swe-nor (0.3.0-2) unstable; urgency=low

  * Source only upload.

 -- Kartik Mistry <kartik@debian.org>  Sat, 21 Sep 2019 19:53:21 +0530

apertium-swe-nor (0.3.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Updated Standards-Version to 4.4.0
    + Updated Build-Depends and Depends.
  * Updated dh to 12.
  * Added debian/gitlab-ci.yml.

 -- Kartik Mistry <kartik@debian.org>  Tue, 10 Sep 2019 21:09:43 +0530

=== debian/control ===
Source: apertium-swe-nor
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Tino Didriksen <tino@didriksen.cc>,
           Kartik Mistry <kartik@debian.org>
Build-Depends: apertium-dev (>= 3.6.0),
               apertium-lex-tools,
               cg3-dev,
               debhelper (>= 12),
               gawk,
               pkg-config
Standards-Version: 4.4.1
Homepage: https://apertium.org/
Vcs-Git: https://salsa.debian.org/science-team/apertium-swe-nor.git
Vcs-Browser: https://salsa.debian.org/science-team/apertium-swe-nor

Package: apertium-swe-nor
Architecture: all
Depends: apertium (>= 3.6.0), apertium-lex-tools, cg3, ${misc:Depends}
Provides: apertium-nor-swe
Conflicts: apertium-nor-swe
Description: Apertium translation data for the Swedish-Norwegian pair
 Data package providing Apertium language resources for translating
 between the Swedish and Norwegian languages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DH_OPTIONS
export LC_ALL=C.UTF-8

NUMJOBS = 1
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	cd $(CURDIR)/apertium-swe-0.8.1 && autoreconf -fi && ./configure
	cd $(CURDIR)/apertium-nno-1.1.0 && autoreconf -fi && ./configure
	cd $(CURDIR)/apertium-nob-1.1.0 && autoreconf -fi && ./configure
	dh_auto_configure -- --with-lang1=$(CURDIR)/apertium-swe-0.8.1 --with-lang2n=$(CURDIR)/apertium-nno-1.1.0 --with-lang2b=$(CURDIR)/apertium-nob-1.1.0

override_dh_auto_build:
	cd $(CURDIR)/apertium-swe-0.8.1 && $(MAKE) -j$(NUMJOBS)
	cd $(CURDIR)/apertium-nno-1.1.0 && $(MAKE) -j$(NUMJOBS)
	cd $(CURDIR)/apertium-nob-1.1.0 && $(MAKE) -j$(NUMJOBS)
	dh_auto_build

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%apertium-swe-nor-$1.tar.gz%" \
  https://github.com/apertium/apertium-swe-nor/tags \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## apertium-swe-nor 0.4.0

=== debian/changelog ===
apertium-swe-nor (0.4.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1013646)
  * Bundles apertium-swe 0.8.2, apertium-nno 1.4.0, and apertium-nob 1.4.0

 -- Tino Didriksen <tino@didriksen.cc>  Wed, 21 Dec 2022 09:10:29 +0100

apertium-swe-nor (0.3.1-2) unstable; urgency=medium

  * debian/control:
    + Fixed Build-Depends: apertium-lex-tools -> apertium-lex-tools-dev
      (Closes: #1013646)
    + Updated Standards-Version to 4.6.1
    + Switched to debhelper-compat.
    + Added Rules-Requires-Root field.
  * Updated debian/copyright.
  * Updated debian/watch.
  * Added upstream metadata file.

 -- Kartik Mistry <kartik@debian.org>  Tue, 05 Jul 2022 13:32:28 +0530

=== debian/control ===
Source: apertium-swe-nor
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@alioth-lists.debian.net>
Uploaders: Tino Didriksen <tino@didriksen.cc>,
           Kartik Mistry <kartik@debian.org>
Build-Depends: apertium-dev (>= 3.8.3),
               apertium-lex-tools-dev (>= 0.4.2),
               apertium-recursive (>= 1.1.2),
               apertium-regtest,
               apertium-separable (>= 0.6.1),
               cg3-dev (>= 1.3.9),
               debhelper-compat (= 13),
               gawk,
               pkg-config
Standards-Version: 4.6.1
Homepage: https://apertium.org/
Vcs-Git: https://salsa.debian.org/science-team/apertium-swe-nor.git
Vcs-Browser: https://salsa.debian.org/science-team/apertium-swe-nor
Rules-Requires-Root: no

Package: apertium-swe-nor
Architecture: all
Depends: apertium (>= 3.8.3),
         apertium-lex-tools (>= 0.4.2),
         apertium-separable (>= 0.6.1),
         cg3 (>= 1.3.9),
         ${misc:Depends}
Provides: apertium-nor-swe
Conflicts: apertium-nor-swe
Description: Apertium translation data for the Swedish-Norwegian pair
 Data package providing Apertium language resources for translating
 between the Swedish and Norwegian languages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DH_OPTIONS
export LC_ALL=C.UTF-8

NUMJOBS = 1
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

%:
	dh $@

override_dh_auto_configure:
	cd $(CURDIR)/apertium-swe-0.8.2 && autoreconf -fi && ./configure
	cd $(CURDIR)/apertium-nno-1.4.0 && autoreconf -fi && ./configure
	cd $(CURDIR)/apertium-nob-1.4.0 && autoreconf -fi && ./configure
	dh_auto_configure -- --with-lang1=$(CURDIR)/apertium-swe-0.8.2 --with-lang2n=$(CURDIR)/apertium-nno-1.4.0 --with-lang2b=$(CURDIR)/apertium-nob-1.4.0

override_dh_auto_build:
	cd $(CURDIR)/apertium-swe-0.8.2 && $(MAKE) -j$(NUMJOBS)
	cd $(CURDIR)/apertium-nno-1.4.0 && $(MAKE) -j$(NUMJOBS)
	cd $(CURDIR)/apertium-nob-1.4.0 && $(MAKE) -j$(NUMJOBS)
	dh_auto_build
